sata_scr_write_flush
Prev | Chapter 4. libata Library | Next

## Name

sata_scr_write_flush — write SCR register of the specified port and flush

## Synopsis

`int sata_scr_write_flush (` | struct ata_port * | ap,
| int | reg,
| u32 | val`)`;

## Arguments

`ap`

  ATA port to write SCR for

`reg`

  SCR to write

`val`

  value to write

## Description

This function is identical to `sata_scr_write` except that this function performs flush after writing to the register.

## LOCKING

None.

## RETURNS

0 on success, negative errno on failure.

Prev | Up | Next
sata_scr_write | Home | ata_port_online